
QGIS Application - Bug report #3116

QGis makes X crash and go back to login screen

2010-10-16 02:08 AM - Luca Casagrande

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13176

Description

Just start QGis and use the zoom tool to draw some rectangle (also with no layers).

X crashes and goes back to login screen.

Gdb:

Loaded : fTools (package: fTools)

ICE default IO error handler doing an exit(), pid = 4026, errno = 11

[Thread 0x7fffe6686710 (LWP 4029) exited]

Program exited with code 01.

(gdb)

History

#1 - 2010-10-16 03:27 AM - Paolo Cavallini

This might be due to qt 4.7.

Did you compile it by hand, anginst the proper qt-dev?

#2 - 2010-10-16 10:33 AM - Luca Casagrande

    -  The same thing happens using QGis 1.4.0 from official repository with a fresh new install.

    -  Removing ATI driver seems to fix the issue both with 1.4.0 and with trunk.

#3 - 2010-10-16 10:51 AM - Paolo Cavallini

So I would say the problem it's outside QGIS: does this happen with other Qt apps that use graphical acceleration? If so, the ticket should be addressed to

the ATI driver, and closed here. BTW, ATI drivers are often a source of problems for me too.

#4 - 2010-10-18 12:36 AM - Luca Casagrande

- Resolution set to invalid

- Status changed from Open to Closed

Yep, same problem with another QT apps.

Closing this one..
